Download Scheduled Report
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/scheduled/{scheduleId}/download \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/scheduled/{scheduleId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/scheduled/{scheduleId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Card Reports
Download Scheduled Report
Generate and stream the latest report data for a schedule.
Defaults to the last 30 days of transactions regardless of the schedule’s
configured period. The response Content-Disposition header carries the
suggested filename derived from the schedule name and current date.
GET
/
v2
/
giftcards
/
programs
/
{programId}
/
reports
/
scheduled
/
{scheduleId}
/
download
Download Scheduled Report
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/scheduled/{scheduleId}/download \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/scheduled/{scheduleId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/scheduled/{scheduleId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
